Index: lib/style/skins/nceas/index.html
===================================================================
--- lib/style/skins/nceas/index.html	(revision 3733)
+++ lib/style/skins/nceas/index.html	(nonexistent)
@@ -1,180 +0,0 @@
-<!--
-  *  '$RCSfile$'
-  *      Authors: Matt Jones
-  *    Copyright: 2000 Regents of the University of California and the
-  *               National Center for Ecological Analysis and Synthesis
-  *  For Details: http://www.nceas.ucsb.edu/
-  *
-  *   '$Author$'
-  *     '$Date$'
-  * '$Revision$'
-  * 
-  * This is an HTML document for displaying metadata catalog tools
-  *
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  *
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  *
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--->
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title>NCEAS Data Repository</title>
-  <link rel="stylesheet" type="text/css" 
-        href="@systemidserver@@style-skins-path@/nceas/nceas.css">
-  <script language="JavaScript" type="text/JavaScript"
-          src="@systemidserver@@style-skins-path@/nceas/nceas.js"></script>
-  <script language="JavaScript" type="text/JavaScript"
-          src="@systemidserver@@style-common-path@/branding.js"></script>
-  <script type="text/javascript" 
-          src="@systemidserver@@style-skins-path@/nceas/navigation.js"></script>
-  <script type="text/javascript"
-          src="@systemidserver@@style-skins-path@/nceas/search.js"></script>
-
-</head>
-<body id="Overview" onload="loginStatus();">
-    <div id="main_wrapper">
-
-    <div id="header">
-        <p>Skip to <a href="#navigation">navigation</a>, <a href="#main_content">main
-        content</a>, <a href="#secondary_content">secondary content</a> or to <a
-        href="#search">search</a>.</p> <h1><span></span><a href="/">NCEAS</a></h1>
-    </div>
-    <div id="navigation">
-        <p></p>
-        <ul id="main_nav">
-            <ul class="menu">
-                <li class="collapsed"><a href="http://www.nceas.ucsb.edu">Home</a></li>
-                <li class="collapsed"><a href="http://data.nceas.ucsb.edu">Repository</a></li>
-                <li class="collapsed"><a href="@cgi-prefix@/register-dataset.cgi?cfg=nceas">Register</a></li>
-                <li class="collapsed"><span id="login_block"></span></li>
-            </ul>
-        </ul>
-    </div> <!-- navigation --> 
-
-    <div id="content_wrapper">
-        <h1>NCEAS Data Repository</h1>
-
-<p class ="intro">Welcome to the NCEAS Data Repository. This repository contains information 
-about the research data sets collected and collated as part of NCEAS' funded activities. 
-Information in the NCEAS Data Repository is concurrently available through the <a href="http://knb.ecoinformatics.org/index.jsp">Knowledge Network for Biocomplexity (KNB)</a>, an international data repository. </span></p>
-<p class="intro">A number of the data sets were synthesized from multiple data sources that originated from the efforts of many contributors, while others originated from a single investigator. Credit for the data sets in this repository goes to the investigators who collected the data, as well as to the NCEAS working groups and scientists who compiled the data for synthetic purposes. See each data package for a list of the people and institutions involved. </p>
-<p class="intro"> If you have any questions, comments or problems, please contact the repository administrator at <a href="mailto:help@nceas.ucsb.edu">help@nceas.ucsb.edu</a> </p>
-<br>
-<table class="tables" cellpadding="8" cellspacing="0">
-  <tr class="sectheader">
-    <td class="borderbottom"><a name="search" ></a>
-        <p align="center" class="largetext"> Search for Data Sets </p></td>
-  </tr>
-  <tr class="sectbody"></tr>
- 
-  <tr >
-    <td align="left"><form method="POST" action="@servlet-path@" target="_top" onSubmit="return checkSearch(this)">
-        <div class="searchresultsdividerPale">
-        <p>
-        <input value="UNION" name="operator" type="hidden">
-&nbsp;
-        <input size="14" name="searchstring" type="text" value="" id="searchBox">
-        <input name="query" type="hidden">
-        <input name="qformat" value="nceas" type="hidden">
-        <input name="enableediting" value="true" type="hidden">
-        <input type="hidden" name="action" value="squery">
-        <input value="Search" type="submit">
-        </p>
-        <p>
-        <input name="search" type="radio" checked>
-        Search Title, Abstract, Keywords, Personnel (Quicker) <br>
-        <input name="search" type="radio" id="searchAll">
-        Search all fields (Slower) <br>
-        </p>
-        </div>
-        </form> 
-        <div align="center">
-          <p align="left">This tool allows you to search the registry for data sets of interest. When you type text in the box and click on the "Search" button, the search will only be conducted within the title, author, abstract, and keyword fields. Checking the "Search All Fields" box will search on these and all other existing fields (this search will take more time). <br>
-                <br>
-          You can use the '%' character as a wildcard in your searches (e.g., '%biodiversity%' would locate any phrase with the word biodiversity embedded within it). </p>
-      </div></td>
-  </tr>
-  <tr >
-    <td class="borderbottom"><div align="center"><a href="@servlet-path@?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&amp;qformat=nceas&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NCEAS data sets</a>
-<br/><br/>
-<a href="map.html"> View Interactive Map </a> </div>
-</td></tr></table>
-<br><br>
-<table class="tables" cellpadding="8" cellspacing="0">
-  <tr class="sectheader">
-    <td class="borderbottom" colspan="2" align="left"><span class="label"> </span>
-        <p align="center" class="largetext"> Register information about a new NCEAS data set </p></td>
-  </tr>
-  
- 
-  <tr >
-    <td  colspan="2" align="center"><div align="left">
-      <p><a href="http://knb.ecoinformatics.org/cgi-bin/register-dataset.cgi?cfg=nceas">Register Information Online</a> - This is a simple way to provide information (metadata) about the existence of a data set. The registration page is used to submit information about a <b>new</b> data set associated with NCEAS research.</p>
-  
-      <p align="center">OR</p>
-      </div></td>
-  </tr>
-  <tr >
-    <td class="borderbottom"><div align="left">
-      <p align="center"></p>
-      <table width="100%"  border="0" align="center" >
-        <tr>
-          <td width="110" class="templatecontentareaclass"><a href="http://knb.ecoinformatics.org/morphoportal.jsp"><img src="../../images/MorphoButterfly.jpg" alt="Morpho Software Butterfly" width="100" height="100" border="0" ></a></td>
-          <td width="550" valign="top" class="templateleftcolclass"><p >Use <a href="http://knb.ecoinformatics.org/morphoportal.jsp"><span class="style2">Morpho</span></a> software to register, document and upload data sets. </p>
-              <p>Morpho is a data management tool for ecologists. It was created to provide an easy-to-use, cross-platform application for accessing and manipulating metadata (e.g. documentation) and data (both locally and on the network). Morpho allows ecologists to create metadata, (i.e. describe their data in a standardized format), and create a catalog of data and metadata upon which to query, edit and view data collections. In addition, Morpho provides the means to access network servers, in order to query, view and retrieve relevant, public ecological data!</p></td>
-        </tr>
-      </table>
-    </div>
-  </td></tr></table>
-<p class="intro">This repository is an effort of the <a href="http://www.nceas.ucsb.edu">National 
-Center for Ecological Analysis and Synthesis (NCEAS)</a> and
-is based on software developed by the
-<a href="http://knb.ecoinformatics.org">Knowledge Network for 
-Biocomplexity (KNB)</a>, and houses metadata that are compliant with 
-<a href="http://knb.ecoinformatics.org/software/eml/">Ecological Metadata 
-Language (EML)</a>.
-</p>
-
-<div id="footer">
-    <div id="footer_logos">
-                <a href="http://www.msi.ucsb.edu/"><img
-src="images/logo_msi.jpg" alt="MSI: Marine Science Institute" height="66"
-width="132"></a><a href="http://www.nsf.gov/"><img src="images/logo_nsf.jpg"
-alt="NSF: National Science 
-Foundation" height="66" width="70"></a><a href="http://www.ucsb.edu/"><img
-src="images/logo_ucsb.jpg" alt="UCSB: University of California at Santa Barbara"
-height="66" width="132"></a>
-    </div> <!-- footer_logos -->
-    <div id="footer_contact">
-        <span class="contact_name">National Center for Ecological Analysis and Synthesis</span>
-
-        <span class="contact_address">735 State Street, Suite 300, Santa Barbara, CA 93101</span>
-        <span class="copyright">Copyright &copy; 2007 The Regents of the
-University of California, All Rights Reserved</span>
-        <span class="copyright"><a href="http://www.ucsb.edu/" title="Visit the
-UCSB website">UC Santa Barbara</a>, Santa Barbara CA 93106 &bull; (805)
-893-8000</span>
-        <span class="copyright"><a href="mailto:webmaster@nceas.ucsb.edu"
-title="E-mail the NCEAS webmaster">Contact</a> &bull; <a
-href="http://www.ucsb.edu/policies/terms-of-use.shtml">Terms of Use</a> &bull; <a
-href="http://www.nceas.ucsb.edu/accessibility" title="NCEAS is committed to the
-accessibility of its products for all users">Accessibility</a></span>
-        
-    </div> <!-- footer_contact -->
-</div>
-
-</div> <!-- id="content_wrapper"-->
-
-</div>
-</body>
-</html>

Property changes on: lib/style/skins/nceas/index.html
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/nceas/map.html
===================================================================
--- lib/style/skins/nceas/map.html	(revision 3733)
+++ lib/style/skins/nceas/map.html	(nonexistent)
@@ -1,104 +0,0 @@
-<!--
-  *  '$RCSfile$'
-  *      Authors: Matt Jones
-  *    Copyright: 2000 Regents of the University of California and the
-  *               National Center for Ecological Analysis and Synthesis
-  *  For Details: http://www.nceas.ucsb.edu/
-  *
-  *   '$Author$'
-  *     '$Date$'
-  * '$Revision$'
-  * 
-  * This is an HTML document for displaying metadata catalog tools
-  *
-  * This program is free software; you can redistribute it and/or modify
-  * it under the terms of the GNU General Public License as published by
-  * the Free Software Foundation; either version 2 of the License, or
-  * (at your option) any later version.
-  *
-  * This program is distributed in the hope that it will be useful,
-  * but WITHOUT ANY WARRANTY; without even the implied warranty of
-  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  * GNU General Public License for more details.
-  *
-  * You should have received a copy of the GNU General Public License
-  * along with this program; if not, write to the Free Software
-  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--->
-<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title>NCEAS Data Repository Interactive Map</title>
-  <link rel="stylesheet" type="text/css" 
-        href="@systemidserver@@style-skins-path@/nceas/nceas.css">
-  <script language="JavaScript" type="text/JavaScript"
-          src="@systemidserver@@style-skins-path@/nceas/nceas.js"></script>
-  <script language="JavaScript" type="text/JavaScript"
-          src="@systemidserver@@style-common-path@/branding.js"></script>
-  <script type="text/javascript" 
-          src="@systemidserver@@style-skins-path@/nceas/navigation.js"></script>
-  <script type="text/javascript"
-          src="@systemidserver@@style-skins-path@/nceas/search.js"></script>
-
-</head>
-<body id="Overview" onload="loginStatus();">
-    <div id="main_wrapper">
-
-    <div id="header">
-        <p>Skip to <a href="#navigation">navigation</a>, <a href="#main_content">main
-        content</a>, <a href="#secondary_content">secondary content</a> or to <a
-        href="#search">search</a>.</p> <h1><span></span><a href="/">NCEAS</a></h1>
-    </div>
-    <div id="navigation">
-        <p></p>
-        <ul id="main_nav">
-            <ul class="menu">
-                <li class="collapsed"><a href="http://www.nceas.ucsb.edu">Home</a></li>
-                <li class="collapsed"><a href="http://data.nceas.ucsb.edu">Repository</a></li>
-                <li class="collapsed"><a href="@cgi-prefix@/register-dataset.cgi?cfg=nceas">Register</a></li>
-                <li class="collapsed"><span id="login_block"></span></li>
-            </ul>
-        </ul>
-    </div> <!-- navigation -->
-    <div id="content_wrapper">
-        <h1>NCEAS Data Repository Interactive Map</h1>
-
-        <iframe scrolling="no" frameborder="0" width="750" height="520" src="spatial/map.html">
-          You need iframe support 
-        </iframe>
-
-<div id="footer">
-    <div id="footer_logos">
-                <a href="http://www.msi.ucsb.edu/"><img
-src="images/logo_msi.jpg" alt="MSI: Marine Science Institute" height="66"
-width="132"></a><a href="http://www.nsf.gov/"><img src="images/logo_nsf.jpg"
-alt="NSF: National Science 
-Foundation" height="66" width="70"></a><a href="http://www.ucsb.edu/"><img
-src="images/logo_ucsb.jpg" alt="UCSB: University of California at Santa Barbara"
-height="66" width="132"></a>
-    </div> <!-- footer_logos -->
-    <div id="footer_contact">
-        <span class="contact_name">National Center for Ecological Analysis and Synthesis</span>
-
-        <span class="contact_address">735 State Street, Suite 300, Santa Barbara, CA 93101</span>
-        <span class="copyright">Copyright &copy; 2007 The Regents of the
-University of California, All Rights Reserved</span>
-        <span class="copyright"><a href="http://www.ucsb.edu/" title="Visit the
-UCSB website">UC Santa Barbara</a>, Santa Barbara CA 93106 &bull; (805)
-893-8000</span>
-        <span class="copyright"><a href="mailto:webmaster@nceas.ucsb.edu"
-title="E-mail the NCEAS webmaster">Contact</a> &bull; <a
-href="http://www.ucsb.edu/policies/terms-of-use.shtml">Terms of Use</a> &bull; <a
-href="http://www.nceas.ucsb.edu/accessibility" title="NCEAS is committed to the
-accessibility of its products for all users">Accessibility</a></span>
-
-        
-    </div> <!-- footer_contact -->
-</div>
-
-</div> <!-- id="content_wrapper"-->
-
-</div>
-
-</body>
-</html>

Property changes on: lib/style/skins/nceas/map.html
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/nceas/searchform.html
===================================================================
--- lib/style/skins/nceas/searchform.html	(revision 3733)
+++ lib/style/skins/nceas/searchform.html	(nonexistent)
@@ -1,25 +0,0 @@
-﻿<form method="POST" action="@servlet-path@" target="_top">
-Search for: 
-  <input value="INTERSECT" name="operator" type="hidden">   
-  <input size="14" name="anyfield" type="text" value="">
-  <input name="organizationName" value="National Center for Ecological Analysis and Synthesis" type="hidden">
-  <input name="action" value="query" type="hidden">
-  <input name="qformat" value="obfs" type="hidden">
-  <input name="enableediting" value="true" type="hidden">
-  <input name="operator" value="UNION" type="hidden">
-  <input name="returnfield" value="originator/individualName/surName" type="hidden">
-  <input name="returnfield" value="originator/individualName/givenName" type="hidden">
-  <input name="returnfield" value="creator/individualName/surName" type="hidden">
-  <input name="returnfield" value="creator/individualName/givenName" type="hidden">
-  <input name="returnfield" value="originator/organizationName" type="hidden">
-  <input name="returnfield" value="creator/organizationName" type="hidden">
-  <input name="returnfield" value="dataset/title" type="hidden">
-  <input name="returnfield" value="keyword" type="hidden">
-  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.1" type="hidden">
-  <input name="returndoctype" value="eml://ecoinformatics.org/eml-2.0.0" type="hidden">
-  <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN" type="hidden">
-  <input name="returndoctype" value="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN" type="hidden">
-  <input name="returndoctype" value="-//NCEAS//resource//EN" type="hidden">
-  <input name="returndoctype" value="-//NCEAS//eml-dataset//EN" type="hidden">
-  <input value="Start Search" type="submit">
-</form>

Property changes on: lib/style/skins/nceas/searchform.html
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/nceas/index.jsp
===================================================================
--- lib/style/skins/nceas/index.jsp	(nonexistent)
+++ lib/style/skins/nceas/index.jsp	(revision 3734)
@@ -0,0 +1,181 @@
+<!--
+  *  '$RCSfile$'
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This is an HTML document for displaying metadata catalog tools
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+-->
+<%@ include file="settings.jsp"%>
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<title>NCEAS Data Repository</title>
+  <link rel="stylesheet" type="text/css" 
+        href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/nceas.css">
+  <script language="JavaScript" type="text/JavaScript"
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/nceas.js"></script>
+  <script language="JavaScript" type="text/JavaScript"
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/common/branding.js"></script>
+  <script type="text/javascript" 
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/navigation.js"></script>
+  <script type="text/javascript"
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/search.js"></script>
+
+</head>
+<body id="Overview" onload="loginStatus('<%=METACAT_URL%>','<%=CGI_PREFIX%>');">
+    <div id="main_wrapper">
+
+    <div id="header">
+        <p>Skip to <a href="#navigation">navigation</a>, <a href="#main_content">main
+        content</a>, <a href="#secondary_content">secondary content</a> or to <a
+        href="#search">search</a>.</p> <h1><span></span><a href="/">NCEAS</a></h1>
+    </div>
+    <div id="navigation">
+        <p></p>
+        <ul id="main_nav">
+            <ul class="menu">
+                <li class="collapsed"><a href="http://www.nceas.ucsb.edu">Home</a></li>
+                <li class="collapsed"><a href="http://data.nceas.ucsb.edu">Repository</a></li>
+                <li class="collapsed"><a href="<%=CGI_PREFIX%>/register-dataset.cgi?cfg=nceas">Register</a></li>
+                <li class="collapsed"><span id="login_block"></span></li>
+            </ul>
+        </ul>
+    </div> <!-- navigation --> 
+
+    <div id="content_wrapper">
+        <h1>NCEAS Data Repository</h1>
+
+<p class ="intro">Welcome to the NCEAS Data Repository. This repository contains information 
+about the research data sets collected and collated as part of NCEAS' funded activities. 
+Information in the NCEAS Data Repository is concurrently available through the <a href="http://knb.ecoinformatics.org/index.jsp">Knowledge Network for Biocomplexity (KNB)</a>, an international data repository. </span></p>
+<p class="intro">A number of the data sets were synthesized from multiple data sources that originated from the efforts of many contributors, while others originated from a single investigator. Credit for the data sets in this repository goes to the investigators who collected the data, as well as to the NCEAS working groups and scientists who compiled the data for synthetic purposes. See each data package for a list of the people and institutions involved. </p>
+<p class="intro"> If you have any questions, comments or problems, please contact the repository administrator at <a href="mailto:help@nceas.ucsb.edu">help@nceas.ucsb.edu</a> </p>
+<br>
+<table class="tables" cellpadding="8" cellspacing="0">
+  <tr class="sectheader">
+    <td class="borderbottom"><a name="search" ></a>
+        <p align="center" class="largetext"> Search for Data Sets </p></td>
+  </tr>
+  <tr class="sectbody"></tr>
+ 
+  <tr >
+    <td align="left"><form method="POST" action="<%=METACAT_URL%>" target="_top" onSubmit="return checkSearch(this)">
+        <div class="searchresultsdividerPale">
+        <p>
+        <input value="UNION" name="operator" type="hidden">
+&nbsp;
+        <input size="14" name="searchstring" type="text" value="" id="searchBox">
+        <input name="query" type="hidden">
+        <input name="qformat" value="nceas" type="hidden">
+        <input name="enableediting" value="true" type="hidden">
+        <input type="hidden" name="action" value="squery">
+        <input value="Search" type="submit">
+        </p>
+        <p>
+        <input name="search" type="radio" checked>
+        Search Title, Abstract, Keywords, Personnel (Quicker) <br>
+        <input name="search" type="radio" id="searchAll">
+        Search all fields (Slower) <br>
+        </p>
+        </div>
+        </form> 
+        <div align="center">
+          <p align="left">This tool allows you to search the registry for data sets of interest. When you type text in the box and click on the "Search" button, the search will only be conducted within the title, author, abstract, and keyword fields. Checking the "Search All Fields" box will search on these and all other existing fields (this search will take more time). <br>
+                <br>
+          You can use the '%' character as a wildcard in your searches (e.g., '%biodiversity%' would locate any phrase with the word biodiversity embedded within it). </p>
+      </div></td>
+  </tr>
+  <tr >
+    <td class="borderbottom"><div align="center"><a href="<%=METACAT_URL%>?action=query&amp;operator=INTERSECT&amp;anyfield=%25&amp;organizationName=National%20Center%20for%20Ecological%20Analysis%20and%20Synthesis&amp;qformat=nceas&amp;enableediting=true&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.0&amp;returndoctype=eml://ecoinformatics.org/eml-2.0.1&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN&amp;returndoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN&amp;returnfield=dataset/title&amp;returnfield=keyword&amp;returnfield=originator/individualName/surName&amp;returnfield=creator/individualName/surName&amp;returnfield=originator/organizationName&amp;returnfield=creator/organizationName">Browse existing NCEAS data sets</a>
+<br/><br/>
+<a href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/map.jsp"> View Interactive Map </a> </div>
+</td></tr></table>
+<br><br>
+<table class="tables" cellpadding="8" cellspacing="0">
+  <tr class="sectheader">
+    <td class="borderbottom" colspan="2" align="left"><span class="label"> </span>
+        <p align="center" class="largetext"> Register information about a new NCEAS data set </p></td>
+  </tr>
+  
+ 
+  <tr >
+    <td  colspan="2" align="center"><div align="left">
+      <p><a href="<%=CGI_PREFIX%>/register-dataset.cgi?cfg=nceas">Register Information Online</a> - This is a simple way to provide information (metadata) about the existence of a data set. The registration page is used to submit information about a <b>new</b> data set associated with NCEAS research.</p>
+  
+      <p align="center">OR</p>
+      </div></td>
+  </tr>
+  <tr >
+    <td class="borderbottom"><div align="left">
+      <p align="center"></p>
+      <table width="100%"  border="0" align="center" >
+        <tr>
+          <td width="110" class="templatecontentareaclass"><a href="http://knb.ecoinformatics.org/morphoportal.jsp"><img src="<%=SERVER_URL_WITH_CONTEXT%>/style/images/MorphoButterfly.jpg" alt="Morpho Software Butterfly" width="100" height="100" border="0" ></a></td>
+          <td width="550" valign="top" class="templateleftcolclass"><p >Use <a href="http://knb.ecoinformatics.org/morphoportal.jsp"><span class="style2">Morpho</span></a> software to register, document and upload data sets. </p>
+              <p>Morpho is a data management tool for ecologists. It was created to provide an easy-to-use, cross-platform application for accessing and manipulating metadata (e.g. documentation) and data (both locally and on the network). Morpho allows ecologists to create metadata, (i.e. describe their data in a standardized format), and create a catalog of data and metadata upon which to query, edit and view data collections. In addition, Morpho provides the means to access network servers, in order to query, view and retrieve relevant, public ecological data!</p></td>
+        </tr>
+      </table>
+    </div>
+  </td></tr></table>
+<p class="intro">This repository is an effort of the <a href="http://www.nceas.ucsb.edu">National 
+Center for Ecological Analysis and Synthesis (NCEAS)</a> and
+is based on software developed by the
+<a href="http://knb.ecoinformatics.org">Knowledge Network for 
+Biocomplexity (KNB)</a>, and houses metadata that are compliant with 
+<a href="http://knb.ecoinformatics.org/software/eml/">Ecological Metadata 
+Language (EML)</a>.
+</p>
+
+<div id="footer">
+    <div id="footer_logos">
+                <a href="http://www.msi.ucsb.edu/"><img
+src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/images/logo_msi.jpg" alt="MSI: Marine Science Institute" height="66"
+width="132"></a><a href="http://www.nsf.gov/"><img src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/images/logo_nsf.jpg"
+alt="NSF: National Science 
+Foundation" height="66" width="70"></a><a href="http://www.ucsb.edu/"><img
+src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/images/logo_ucsb.jpg" alt="UCSB: University of California at Santa Barbara"
+height="66" width="132"></a>
+    </div> <!-- footer_logos -->
+    <div id="footer_contact">
+        <span class="contact_name">National Center for Ecological Analysis and Synthesis</span>
+
+        <span class="contact_address">735 State Street, Suite 300, Santa Barbara, CA 93101</span>
+        <span class="copyright">Copyright &copy; 2007 The Regents of the
+University of California, All Rights Reserved</span>
+        <span class="copyright"><a href="http://www.ucsb.edu/" title="Visit the
+UCSB website">UC Santa Barbara</a>, Santa Barbara CA 93106 &bull; (805)
+893-8000</span>
+        <span class="copyright"><a href="mailto:webmaster@nceas.ucsb.edu"
+title="E-mail the NCEAS webmaster">Contact</a> &bull; <a
+href="http://www.ucsb.edu/policies/terms-of-use.shtml">Terms of Use</a> &bull; <a
+href="http://www.nceas.ucsb.edu/accessibility" title="NCEAS is committed to the
+accessibility of its products for all users">Accessibility</a></span>
+        
+    </div> <!-- footer_contact -->
+</div>
+
+</div> <!-- id="content_wrapper"-->
+
+</div>
+</body>
+</html>

Property changes on: lib/style/skins/nceas/index.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/nceas/nceas.js
===================================================================
--- lib/style/skins/nceas/nceas.js	(revision 3733)
+++ lib/style/skins/nceas/nceas.js	(revision 3734)
@@ -33,7 +33,7 @@
 
  
 /* loginStatus: Uses XHR request to check for current session login status */
-function loginStatus(){
+function loginStatus(servletPath, cgiPrefix){
     var httpRequest = false;
     try {
           httpRequest = new XMLHttpRequest();
@@ -61,12 +61,12 @@
                 var login_block = document.getElementById('login_block');
 
                 if (response.indexOf("public") > 0) {
-                    login_block.innerHTML = '<a href="@cgi-prefix@/register-dataset.cgi?cfg=nceas&' +
+                    login_block.innerHTML = '<a href="' + cgiPrefix + '/register-dataset.cgi?cfg=nceas&' +
                                             'stage=loginform">Login</a>';
                 }
                 else
                 {
-                    login_block.innerHTML = '<a href="@cgi-prefix@/register-dataset.cgi?cfg=nceas&' +
+                    login_block.innerHTML = '<a href="' + cgiPrefix + '/register-dataset.cgi?cfg=nceas&' +
                                             'stage=logout">Logout</a>';
                 }
             }
@@ -73,6 +73,6 @@
         }
     }
 
-    httpRequest.open("GET", "@servlet-path@?action=getloggedinuserinfo", true);
+    httpRequest.open("GET", servletPath + "?action=getloggedinuserinfo", true);
     httpRequest.send(null);
 }
Index: lib/style/skins/nceas/nceas-login.xsl
===================================================================
--- lib/style/skins/nceas/nceas-login.xsl	(revision 3733)
+++ lib/style/skins/nceas/nceas-login.xsl	(revision 3734)
@@ -33,19 +33,21 @@
 
   <xsl:output method="html"/>
   <xsl:param name="qformat">default</xsl:param>
+  <xsl:param name="contextURL"/>
+  <xsl:param name="cgi-prefix"/>
   <xsl:template match="/">
    <html>
       <head>
         <link rel="stylesheet" type="text/css"
-              href="@style-skins-path@/nceas/nceas.css" />
+              href="{$contextURL}/style/skins/nceas/nceas.css" />
         <script language="Javascript" type="text/JavaScript"
-                src="@style-skins-path@/nceas/nceas.js" />
+                src="{$contextURL}/style/skins/nceas/nceas.js" />
         <script language="Javascript" type="text/JavaScript"
-                src="@style-common-path@/branding.js" />
+                src="{$contextURL}/style/common/branding.js" />
          <script language="JavaScript">
          <![CDATA[
             function search(){
-                location.href = "@cgi-prefix@/register-dataset.cgi?cfg=nceas";
+                location.href = "]]><xsl:value-of select="$cgi-prefix" /><![CDATA["/register-dataset.cgi?cfg=nceas";
             }]]>
          </script>
       </head>
@@ -63,7 +65,7 @@
               <ul class="menu">
                   <li class="collapsed"><a href="http://www.nceas.ucsb.edu">Home</a></li>
                   <li class="collapsed"><a href="http://data.nceas.ucsb.edu">Repository</a></li>
-                  <li class="collapsed"><a href="@cgi-prefix@/register-dataset.cgi?cfg=nceas">Register</a></li>
+                  <li class="collapsed"><a href="{$cgi-prefix}/register-dataset.cgi?cfg=nceas">Register</a></li>
             </ul>
         </ul>
     </div> <!-- navigation -->
@@ -82,7 +84,7 @@
           </p>
       </xsl:if>
           <p class="text_plain">
-            Return to the <a href="@systemidserver@@style-skins-path@/nceas/">Registry home</a>.
+            Return to the <a href="{$contextURL}/style/skins/nceas/">Registry home</a>.
           </p>
         </div>
         </div>
Index: lib/style/skins/nceas/nceas.xml
===================================================================
--- lib/style/skins/nceas/nceas.xml	(revision 3733)
+++ lib/style/skins/nceas/nceas.xml	(revision 3734)
@@ -1,10 +1,10 @@
 <?xml version="1.0"?>
 <style-set name="obfs">
 <!-- general login & search -->
-  <default-style>@systemidserver@@style-common-path@/ascii-treeview.xsl</default-style>
+  <default-style>style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-skins-path@/nceas/nceas.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/skins/nceas/nceas.xsl</target>
   </doctype>
 
 <!--
@@ -11,15 +11,15 @@
     ARE THESE STILL NEEDED????????????
 
   <doctype publicid="-//NCEAS//login//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/login.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/login.xsl</target>
   </doctype>
 
   <doctype publicid="-//NCEAS//eml-generic//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/generic-morpho.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/generic-morpho.xsl</target>
   </doctype>
 -->
   <doctype publicid="-//NCEAS//login//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-skins-path@/nceas/nceas-login.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/skins/nceas/nceas-login.xsl</target>
   </doctype>
 
 <!-- pre-beta6 modules -->
@@ -26,55 +26,55 @@
 <!-- NOTE these settings are unchanged from the previous version - only the xsl 
      filename has changed from "eml-dataset-display.xsl" to "eml-dataset-2.0.0beta4.xsl" -->
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.1">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-skins-path@/nceas/nceas.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/skins/nceas/nceas.xsl</target>
   </doctype>
   <doctype publicid="eml://ecoinformatics.org/eml-2.0.0">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-skins-path@/nceas/nceas.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/skins/nceas/nceas.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-dataset-2.0//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
   </doctype>
   <doctype publicid="-//NCEAS//eml-resource//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta4/eml-dataset-2.0.0beta4.xsl</target>
   </doctype>
 <!-- beta6 modules -->
   <doctype publicid="-//ecoinformatics.org//eml-access-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-access-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-access-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-attribute-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-attribute-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-constraint-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-constraint-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-coverage-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-coverage-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-dataset-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-dataset-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-entity-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-entity-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-entity-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-literature-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-literature-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-literature-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-physical-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-physical-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-physical-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-project-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-project-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-project-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-protocol-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-protocol-2.0.0beta6.xsl</target>
   </doctype>
   <doctype publicid="-//ecoinformatics.org//eml-software-2.0.0beta6//EN">
-    <target publicid="-//W3C//HTML//EN">@systemidserver@@style-common-path@/eml-2.0.0beta6/eml-software-2.0.0beta6.xsl</target>
+    <target publicid="-//W3C//HTML//EN">style/common/eml-2.0.0beta6/eml-software-2.0.0beta6.xsl</target>
   </doctype>
 </style-set>
Index: lib/style/skins/nceas/map.jsp
===================================================================
--- lib/style/skins/nceas/map.jsp	(nonexistent)
+++ lib/style/skins/nceas/map.jsp	(revision 3734)
@@ -0,0 +1,105 @@
+<!--
+  *  '$RCSfile$'
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *
+  *   '$Author$'
+  *     '$Date$'
+  * '$Revision$'
+  * 
+  * This is an HTML document for displaying metadata catalog tools
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+-->
+<%@ include file="settings.jsp"%>
+<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+<title>NCEAS Data Repository Interactive Map</title>
+  <link rel="stylesheet" type="text/css" 
+        href="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/nceas.css">
+  <script language="JavaScript" type="text/JavaScript"
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/nceas.js"></script>
+  <script language="JavaScript" type="text/JavaScript"
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/common/branding.js"></script>
+  <script type="text/javascript" 
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/navigation.js"></script>
+  <script type="text/javascript"
+          src="<%=SERVER_URL_WITH_CONTEXT%>/style/skins/nceas/search.js"></script>
+
+</head>
+<body id="Overview" onload="loginStatus('<%=METACAT_URL%>', '<%=CGI_PREFIX%>');">
+    <div id="main_wrapper">
+
+    <div id="header">
+        <p>Skip to <a href="#navigation">navigation</a>, <a href="#main_content">main
+        content</a>, <a href="#secondary_content">secondary content</a> or to <a
+        href="#search">search</a>.</p> <h1><span></span><a href="/">NCEAS</a></h1>
+    </div>
+    <div id="navigation">
+        <p></p>
+        <ul id="main_nav">
+            <ul class="menu">
+                <li class="collapsed"><a href="http://www.nceas.ucsb.edu">Home</a></li>
+                <li class="collapsed"><a href="http://data.nceas.ucsb.edu">Repository</a></li>
+                <li class="collapsed"><a href="<%=CGI_PREFIX%>/register-dataset.cgi?cfg=nceas">Register</a></li>
+                <li class="collapsed"><span id="login_block"></span></li>
+            </ul>
+        </ul>
+    </div> <!-- navigation -->
+    <div id="content_wrapper">
+        <h1>NCEAS Data Repository Interactive Map</h1>
+
+        <iframe scrolling="no" frameborder="0" width="750" height="520" src="spatial/map.html">
+          You need iframe support 
+        </iframe>
+
+<div id="footer">
+    <div id="footer_logos">
+                <a href="http://www.msi.ucsb.edu/"><img
+src="images/logo_msi.jpg" alt="MSI: Marine Science Institute" height="66"
+width="132"></a><a href="http://www.nsf.gov/"><img src="images/logo_nsf.jpg"
+alt="NSF: National Science 
+Foundation" height="66" width="70"></a><a href="http://www.ucsb.edu/"><img
+src="images/logo_ucsb.jpg" alt="UCSB: University of California at Santa Barbara"
+height="66" width="132"></a>
+    </div> <!-- footer_logos -->
+    <div id="footer_contact">
+        <span class="contact_name">National Center for Ecological Analysis and Synthesis</span>
+
+        <span class="contact_address">735 State Street, Suite 300, Santa Barbara, CA 93101</span>
+        <span class="copyright">Copyright &copy; 2007 The Regents of the
+University of California, All Rights Reserved</span>
+        <span class="copyright"><a href="http://www.ucsb.edu/" title="Visit the
+UCSB website">UC Santa Barbara</a>, Santa Barbara CA 93106 &bull; (805)
+893-8000</span>
+        <span class="copyright"><a href="mailto:webmaster@nceas.ucsb.edu"
+title="E-mail the NCEAS webmaster">Contact</a> &bull; <a
+href="http://www.ucsb.edu/policies/terms-of-use.shtml">Terms of Use</a> &bull; <a
+href="http://www.nceas.ucsb.edu/accessibility" title="NCEAS is committed to the
+accessibility of its products for all users">Accessibility</a></span>
+
+        
+    </div> <!-- footer_contact -->
+</div>
+
+</div> <!-- id="content_wrapper"-->
+
+</div>
+
+</body>
+</html>

Property changes on: lib/style/skins/nceas/map.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/nceas/settings.jsp
===================================================================
--- lib/style/skins/nceas/settings.jsp	(nonexistent)
+++ lib/style/skins/nceas/settings.jsp	(revision 3734)
@@ -0,0 +1,47 @@
+<%@page import="edu.ucsb.nceas.metacat.MetaCatUtil"%>
+<!--
+  *   '$RCSfile$'
+  *     Authors: Matthew Brooke
+  *   Copyright: 2000 Regents of the University of California and the
+  *              National Center for Ecological Analysis and Synthesis
+  * For Details: http://www.nceas.ucsb.edu/
+  *
+  *    '$Author$'
+  *      '$Date$'
+  *  '$Revision$'
+  *
+  * Settings file for the default metacat skin
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+-->
+<%
+   
+   // CONTEXT NAME of metacat installed:
+	String      CONTEXT_NAME          = request.getContextPath();
+	
+	// URL of SERVER with context (and optional port)
+	String     SERVER_URL_WITH_CONTEXT =  request.getScheme() + "://" + request.getServerName();
+	if ( request.getLocalPort() != 80 ) {
+		SERVER_URL_WITH_CONTEXT += ":" + request.getLocalPort();
+	}
+	SERVER_URL_WITH_CONTEXT += CONTEXT_NAME;
+
+	// URL of metacat to be used for login & searching:
+	String      METACAT_URL           =  SERVER_URL_WITH_CONTEXT+ "/metacat";
+	
+	// URL for LDAP login actions
+	String 		CGI_PREFIX = MetaCatUtil.getOption("cgi-prefix");
+
+%>

Property changes on: lib/style/skins/nceas/settings.jsp
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/skins/nceas/nceas.xsl
===================================================================
--- lib/style/skins/nceas/nceas.xsl	(revision 3733)
+++ lib/style/skins/nceas/nceas.xsl	(revision 3734)
@@ -31,13 +31,15 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                 xmlns:eml="eml://ecoinformatics.org/eml-2.0.1" 
 	            version="1.0">
-    <xsl:import href="@systemidserver@@style-common-path@/resultset-table.xsl"/>
-    <xsl:import href="@systemidserver@@style-common-path@/eml-2.0.1/emlroot.xsl"/>
+    <xsl:import href="../../common/resultset-table.xsl"/>
+    <xsl:import href="../../common/eml-2.0.1/emlroot.xsl"/>
 
 	<xsl:output method="html" />
 	<xsl:param name="sessid" />
 	<xsl:param name="qformat">default</xsl:param>
 	<xsl:param name="enableediting">false</xsl:param>
+	<xsl:param name="contextURL"/>
+	<xsl:param name="cgi-prefix"/>
 	
 	<xsl:template match="/">
 		<html>
@@ -44,7 +46,7 @@
 		
 			<xsl:call-template name="documenthead"/>
 			
-			<body id="Overview" onload="loginStatus();">
+			<body id="Overview" onload="loginStatus('{$contextURL}/metacat', '{$cgi-prefix}');">
 				<div id="main_wrapper">
 					
 				    <xsl:call-template name="bodyheader"/>
@@ -79,16 +81,16 @@
             </title>
                         
 			<link rel="stylesheet" type="text/css"
-				href="@systemidserver@@style-skins-path@/{$qformat}/nceas.css" />
+				href="{$contextURL}/style/skins/{$qformat}/{$qformat}.css" />
 			<script language="Javascript" type="text/JavaScript"
-				src="@systemidserver@@style-skins-path@/{$qformat}/{$qformat}.js" />
+				src="{$contextURL}/style/skins/{$qformat}/{$qformat}.js" />
 			<script language="Javascript" type="text/JavaScript"
-				src="@systemidserver@@style-common-path@/branding.js" />
+				src="{$contextURL}/style/common/branding.js" />
 			<script type="text/javascript"
-				src="@systemidserver@@style-skins-path@/nceas/navigation.js">
+				src="{$contextURL}/style/skins/nceas/navigation.js">
 			</script>
 			<link rel="stylesheet" type="text/css"
-				href="@systemidserver@@style-skins-path@/{$qformat}/{$qformat}.css" />
+				href="{$contextURL}/style/skins/{$qformat}/{$qformat}.css" />
 
 			<script language="JavaScript">
 				<![CDATA[
@@ -128,7 +130,7 @@
 						   Repository</a>
 					</li>
 					<li class="collapsed">
-						<a href="@cgi-prefix@/register-dataset.cgi?cfg=nceas">
+						<a href="{$cgi-prefix}/register-dataset.cgi?cfg=nceas">
 						   Register</a>
 					</li>
           <li class="collapsed">
@@ -150,14 +152,14 @@
 		<div id="footer">
 			<div id="footer_logos">
 				<a href="http://www.msi.ucsb.edu/">
-					<img src="@systemidserver@@style-skins-path@/{$qformat}/images/logo_msi.jpg"
+					<img src="{$contextURL}/style/skins/{$qformat}/images/logo_msi.jpg"
 						alt="MSI: Marine Science Institute" height="66" width="132"/></a>
 				<a href="http://www.nsf.gov/">
-					<img src="@systemidserver@@style-skins-path@/{$qformat}/images/logo_nsf.jpg"
+					<img src="{$contextURL}/style/skins/{$qformat}/images/logo_nsf.jpg"
 						alt="NSF: National Science Foundation" height="66"
 						width="70"/></a>
 				<a href="http://www.ucsb.edu/">
-					<img src="@systemidserver@@style-skins-path@/{$qformat}/images/logo_ucsb.jpg"
+					<img src="{$contextURL}/style/skins/{$qformat}/images/logo_ucsb.jpg"
 						alt="UCSB: University of California at Santa Barbara"
 						height="66" width="132"/></a>
 			</div><!-- footer_logos -->
